## org.eclipse.jst.pagedesigner.dtmanager.converter
Interface ITransformer

    public interface ITransformer

Transforms an original input Element instance to an output Element instance by invoking a collection of ITransformOperation instances.

Provisional API - subject to change

Method Summary
`void` `appendTransformOperation(ITransformOperation operation)` Appends an ITransformOperation instance to the collection.
`org.w3c.dom.Element` `transform(org.w3c.dom.Element srcElement)` Transforms an original input Element instance to an output Element instance, typically by invoking each ITransformOperation instance in this instance's collection.

Method Detail

### appendTransformOperation

    void appendTransformOperation(ITransformOperation operation)

  Appends an ITransformOperation instance to the collection.

  Parameters:
    `operation` - ITransformOperation instance to be appended. API: does this need to be on the interface or could it be pushed into the instance constructor (i.e. factory).

### transform

    org.w3c.dom.Element transform(org.w3c.dom.Element srcElement)

  Transforms an original input Element instance to an output Element instance, typically by invoking each ITransformOperation instance in this instance's collection.

  Parameters:
    `srcElement` - Original input Element instance.
  Returns:
    Transformed output Element instance. TODO: I'd like to consider templating the generic ITransformer interface to ITransformer<I,O> and making this a normative instance case of ITransformer<Element, Element>